"""Add priority field to todos

Revision ID: 002
Revises: 001
Create Date: 2024-01-01 00:00:00.000000

"""

from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = "002"
down_revision = "001"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "todos",
        sa.Column(
            "priority",
            sa.Enum("LOW", "MEDIUM", "HIGH", name="priority"),
            nullable=True,
        ),
    )
    # Set default value for existing records
    op.execute("UPDATE todos SET priority = 'MEDIUM' WHERE priority IS NULL")
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("todos", "priority")
    # ### end Alembic commands ###
