from sqlalchemy import Column, Integer, String, DateTime
from sqlalchemy.sql import func
from sqlalchemy.orm import relationship

from app.db.base import Base


class Tag(Base):
    __tablename__ = "tags"

    id = Column(Integer, primary_key=True, index=True)
    name = Column(String(50), nullable=False, unique=True)
    color = Column(String(7), nullable=False, default="#3B82F6")  # Hex color code
    created_at = Column(DateTime(timezone=True), server_default=func.now())

    # Many-to-many relationship with todos
    todos = relationship("Todo", secondary="todo_tags", back_populates="tags")
